NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.GeometricAnalysis.CurveAnalysisInflectionsBuilder Class Reference

This class handles the options setting for the curve analysis information (Inflections) display. More...

Inheritance diagram for NXOpen.GeometricAnalysis.CurveAnalysisInflectionsBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  DirectionOptionType { None, PlaneOfCurve, SpecifyVector, WorkView }
 Direction option types More...
 

Public Member Functions

unsafe NXOpen.Point[] CreatePoints ()
 Create points at the infections of the curve More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.GeometricAnalysis.CurveAnalysisInflectionsBuilder.DirectionOptionType 
DirectionOption [get, set]
 Returns or sets the direction option More...
 
unsafe NXOpen.ScCollector SelectedCurves [get]
 Returns the selected curves More...
 
unsafe NXOpen.Direction Vector [get, set]
 Returns or sets the vector More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

This class handles the options setting for the curve analysis information (Inflections) display.

To create a new instance of this class, use NXOpen.GeometricAnalysis.AnalysisObjectCollection.CreateCurveAnalysisInflectionsBuilder

Created in NX6.0.0

Deprecated in NX8.5.0. Use GeometricAnalysis.CurveCurvatureAnalysisBuilder .

Member Enumeration Documentation

Direction option types

Enumerator
None 

no direction

PlaneOfCurve 

best fit plane

SpecifyVector 

specify vector

WorkView 

work view

Member Function Documentation

unsafe NXOpen.Point [] NXOpen.GeometricAnalysis.CurveAnalysisInflectionsBuilder.CreatePoints ( )
inline

Create points at the infections of the curve

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Returns

Property Documentation

unsafe NXOpen.GeometricAnalysis.CurveAnalysisInflectionsBuilder.DirectionOptionType NXOpen.GeometricAnalysis.CurveAnalysisInflectionsBuilder.DirectionOption
getset

Returns or sets the direction option

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.GeometricAnalysis.CurveAnalysisInflectionsBuilder.SelectedCurves
get

Returns the selected curves

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Direction NXOpen.GeometricAnalysis.CurveAnalysisInflectionsBuilder.Vector
getset

Returns or sets the vector

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.